.block
{
  background:rgba(30, 144, 255, 0.3);
  padding: 1em;
  margin: 1em 0 1em 0;
  -webkit-border-radius:4px;
  -moz-border-radius:4px;
  border-radius:4px;
}

.block h1,.block h2,.block h3{text-align:center;line-height:1.2;}

/*************************************************************
 *                      raids.game                           *
 *************************************************************/
.punch-row {
  border-bottom: 2px solid #fff;
  margin-top: 10px;
}
div.foliage
{
  background: rgba(0, 0, 0, 0.6);
  -webkit-border-radius:4px;
  -moz-border-radius:4px;
  border-radius:4px;
  border: 1px solid #51FFFF;
  padding: 0.4em;
}
div.foliage h3 {
  max-height: 80px;
  overflow: hidden;
}

div.t_f_d {
    float:right;
    margin:2px;
    font-size:10px;
}

span.t_f_n {
    background:rgba(30, 50, 100, 0.4);
    padding:2px;
}

div.raid, div.boss
{
  box-shadow: 0px 0px 5px rgba(255,255,255,0.6);
}

div#bosses div.boss,
div#pastRaids div.raid
{
  width: 30%;
  float: left;
  margin: 0.5em;
  height: 200px;
}

div.div-clear
{
  clear:both;
  height:1px;
  width:1px;
  display: block;
}

/*************************************************************
 *                    show_raid.game                         *
 *************************************************************/

/**
 * header
 */
div.show_raid h2,
div.show_boss h2
{
  text-align:center;
}

/**
 * progress bar
 */
#raid_container div.progress-heading
{
  width: 696px;
}

#raid_container div.progress-bar
{
  background:rgba(30, 50, 100, 0.5);
  border: 1px solid #51FFFF;
  border-radius: 5px;
  text-align: center;
  position: relative;
  width: 585px;
  display: inline;
  float: left;
  height: 24px;
  max-width: 100%;
}

#raid_container div.progress-bar div.progress
{
  background: blue;
  height: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
  border-radius: 5px;
  margin: 0;
}

#raid_container div.progress-bar span.percentage
{
  line-height: 24px;
  position: absolute;
  z-index: 3;
}

div.sidebar
{
  width: 95px;
  float:right;
}

div.sidebar::after {
  display: inline;
  clear: right;
}

div.raid-buttons a
{
  width:auto;
  margin: 0 auto;
  margin-bottom: 10px;
}

/**
 * main panel
 */

div.show_raid div.main-panel,
div.show_boss div.main-panel
{
    //height: 700px;
  position: relative;
  //margin-top: 10px;
  border-radius: 5px;
}

div.show_raid div.main-panel
{
  background: url('../../imgs/holomap_1_500px.jpg') no-repeat right top;
  width: 520px;
  float: left;
}

div.show_boss div.main-panel
{
  max-width: 745px;
  background: url('../../imgs/m1.jpg') no-repeat 50% 50%;
}

div.show_raid div.main-panel div.main-panel-frame,
div.show_boss div.main-panel div.main-panel-frame
{
  position: relative;
  min-height: 474px;
  margin-top: 0px;
  padding: 20px;
  background-color: transparent;
}

div.show_raid div.main-panel div.main-panel-frame
{
  width: 439px;
}

div.main-panel div.content
{
  margin-top: 20px;
}

div.show_raid div.main-panel div.content dl.highlight,
div.show_boss div.main-panel div.content dl.highlight,
div.show_raid div.main-panel div.content div.mech_status,
div.show_boss div.main-panel div.content div.mech_status
{
  display: inline-block;
  z-index: 1;
}

div.show_raid div.main-panel div.content div.mech_status,
div.show_boss div.main-panel div.content div.mech_status
{
  float: right;
}

div.show_raid div.main-panel div.content div.mech_status a,
div.show_boss div.main-panel div.content div.mech_status a
{
  float: left;
  display: block;
  margin-right: 10px;
  margin-top: 10px;
}

div.show_raid div.main-panel div.content div.mech_status a:last-of-type,
div.show_boss div.main-panel div.content div.mech_status a:last-of-type
{
  margin-right: 0px;
}

div.show_raid div.main-panel div.content div.bottom,
div.show_boss div.main-panel div.content div.bottom
{
  position: absolute;
  bottom: 0.1em;
  text-align: center;
}

div.show_raid div.main-panel div.content div.bottom
{
  width: 439px;
}

div.show_boss div.main-panel div.content div.bottom
{
  left: 0px;
  right: 0px;
}



.raid_info
{
  background:rgba(30, 50, 100, 0.3);
  padding:10px;
  margin:10px;
  border-radius: 10px;
}

.raid_fight_info
{
  width: 210px;
  background:rgba(30, 50, 100, 0.6);
  margin-top:15px;
  border-radius: 10px;
}

div.show_raid div.main-panel div.content div.bottom div.countdown,
div.show_boss div.main-panel div.content div.bottom div.countdown
{
  padding-top: 0.7em;
}

div.show_raid div.main-panel div.content div.bottom div.division_info,
div.show_boss div.main-panel div.content div.bottom div.division_info
{
  background:rgba(30, 50, 100, 0.3);
  padding:10px;
  margin: 0 auto;
  width: 200px;
  border-radius: 10px;
}

div.show_raid div.main-panel div.content div.bottom div.countdown h1,
div.show_boss div.main-panel div.content div.bottom div.countdown h1
{
  margin: 0;
  padding: 0;
}

div.show_raid div.main-panel div.content div.bottom div.countdown span.hint,
div.show_boss div.main-panel div.content div.bottom div.countdown span.hint
{
  font-size:0.7em;
}

h2.raid_title, h3.raid_title {
  background:rgba(30, 50, 100, 0.5);
  border-radius:20px;
  padding:6px;
}

div.show_raid div.main-panel div.content div.bottom div.countdown h1#raid_time_left,
div.show_boss div.main-panel div.content div.bottom div.countdown h1#raid_time_left
{
  line-height: 40px;
}

/**
 * contributors panel
 */
div.show_raid div.contributors-panel
{
  height: 364px;
  width: 200px;
  float: right;
  padding: 20px 8px 10px 15px;
}

div.show_raid div.contributors-panel ul.contributors-list
{
  height: 335px;
  margin: 0;
  padding: 0 0.5em 0 0;
  overflow-y: scroll;
}

div.show_raid div.contributors-panel ul.contributors-list li
{
  color: #FFF;
  text-align:right;
}

/**
 * fights panel
 */
div.show_boss div.fights-panel ul.fights-log
{
  height: 300px;
  overflow-y: scroll;
  margin: 0;
  padding: 0.5em 0 0.5em 0.5em;
}

div.show_boss div.fights-panel ul.fights-log li
{
  line-height: 13px;
  color: #EEE;
}

/**
 * rewards panel
 */
div.show_raid div.rewards-panel h3,
div.show_boss div.rewards-panel h3
{
  text-align: center;

}

div.show_raid div.rewards-panel div.productWrapper,
div.show_boss div.rewards-panel div.productWrapper
{
  height: auto;
}

div.rewards-panel div.productBox
{
    margin-top: 5px;
    margin-bottom: 0;
    height: 270px;
}
div.rewards-panel div.productBox img
{
  margin: auto;
  width: 40%;
}

/**
 * win modal
 */
div#winModal div.award
{
  padding: 0.2em;
}

div#winModal div.award h3
{
  margin-top: 15px;
}

div#winModal div.award img
{
  margin-right: 1em;
}

/**
 * storyline modal
 */
div#storylineModal .next {
  margin: 0px 0px 0 0;
}

/* Tiered Raids */

.drop-type-head{
  font-style:italic;
  font-size:14px;
  margin:0;
}

.drop-reward-title{
  margin:4px 5px 4px 5px;
  padding:4px;
  background-color:#0c4a9b;

}

.player-leaderboard-light{
  padding:3px;
  background-color:rgba(30, 144, 255, 0.3);
}

.player-leaderboard-dark{
  padding:3px;
  background-color:none;
}

.tiered-badge{
  width:40px;
  height:40px;
}

.raid-player-desc{
  float:left;
  padding:9px 0 0 3px;
}

.tiered-medal-cont{
  width:40px;
  height:40px;
  display:block;
  float:left;
}

.tiered-player-li{
  color:#FFFFFF;
  clear:both;
  height:40px;
}

/* End Tiered Raids */

/**
 * set kill cap modal
 */
div#setKillCapModal input#kill_cap
{
  padding: 1em;
  background: none;
  border: 2px solid #51ffff;
  border-radius: 4px;
  color: #fff;
}

#setKillCapModal a.btn {
  margin-left: 1em;
}

/**
 * world raid
 */
div#world_raids div.block
{
  border:1px solid #51ffff;
  border-radius: 5px;
  padding: 0px;
  box-shadow: 0px 0px 10px rgba(255,215,0,1);
}

div.homepage div#world_raids div.block
{
  box-shadow: none;
  margin: 10px 0 10px 10px;
}

div#world_raids div.block-inside
{
  border-radius: 5px;
  padding: 2em 1em 2em 1em;
  background: -moz-linear-gradient(top,  rgba(0,0,0,0) 61%, rgba(0,0,0,0.65) 100%); /* FF3.6+ */
  background: -webkit-gradient(linear, left top, left bottom, color-stop(61%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0.65))); /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 61%,rgba(0,0,0,0.65) 100%); /* Chrome10+,Safari5.1+ */
  background: -o-linear-gradient(top,  rgba(0,0,0,0) 61%,rgba(0,0,0,0.65) 100%); /* Opera 11.10+ */
  background: -ms-linear-gradient(top,  rgba(0,0,0,0) 61%,rgba(0,0,0,0.65) 100%); /* IE10+ */
  background: linear-gradient(to bottom,  rgba(0,0,0,0) 61%,rgba(0,0,0,0.65) 100%); /* W3C */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */

}

div#world_raids div.raid h3
{
  font-size: 28px;
  margin:5px 0px 0px 0px;
}

div#world_raids div.raid div.stats
{
  float:left;
}

div#world_raids div.raid div.btnArea
{
  float:right;
}

div#world_raids div.raid div.btnArea a.btn
{
  line-height: 48px;
  font-size: 36px;
}

div#world_raids div.raid div.other_event_raids
{
  font-size: 10px;
}

/* New by Justin */
.contributors-list li {
  color:#FFFFFF;
}
.rewards-panel .weaponCard {
    margin-bottom: 0;
    margin-top: 0;
}
.rewards-panel p {
    margin-bottom: 0;
}
#raid_container .reward-card {
  height: 315px;
  margin-bottom: 30px;
}
.tiny-url {
    font-size: 80%;
    word-break: break-all;
    cursor: pointer;
}
.my_raid_dmg {
  float: right;
  margin-top: -30px;
}
.raid-hp-highlight {
    filter: drop-shadow(1px 1px 0 gold) drop-shadow(-1px -1px 0 gold)
    drop-shadow(1px -1px 0 gold) drop-shadow(-1px 1px 0 gold);
}

/* Mobile */
@media only screen and (max-width: 600px) {
  div#bosses div.boss,
  div#pastRaids div.raid
  {
    width: 100%;
    height: unset;
  }
  div.show_boss div.main-panel div.main-panel-frame {
    margin-bottom: 100px;
  }
  div.show_raid div.main-panel div.content div.bottom,
  div.show_boss div.main-panel div.content div.bottom
  {
    position: inherit;
  }
  div.contributors-list {
      margin-top: 200px;
  }
  div.rewards-panel {
      margin-bottom: 50px;
  }
  .my_raid_dmg {
    float: none;
    margin-top: 0;
    text-align: center;
  }
}
/*
@media only screen and (max-width: 400px) {
  #raid_container .reward-card {
      width: 100%;
  }
  #raid_container .reward-card .weaponCard {
      margin: auto !important;
  }
}
*/

.contributors-table td {
  text-align: left
}

.contributors-table tr.curr_player td {
  font-size: 200%;
}

#raidMsgs {
  width: 100%;
  min-height: 20px;
  max-height: 50vh;
  padding: 5px;
  margin: 2px;
  background: rgba(0, 0, 0, 0.6);
  border: 2px solid #fff;
  overflow: auto;
}
#raidMsgs > div {
  padding-bottom: 6px;
}
#raidMsgs i {
  font-size: 8px;
  font-color: #ccc;
}
#raidMsgs a {
  font-weight: bold;
}
